> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Risk Limits

> Retrieve the risk limits for a given entity.



## OpenAPI

````yaml GET /v1/entities/{entity_id}/futures/risk_limits
openapi: 3.0.1
info:
  title: REST API
  description: >-
    The Coinbase Prime REST API provides programmatic access to trading,
    custody, staking, market data, and account management functionality.
  version: '0.1'
servers:
  - url: https://api.prime.coinbase.com/
security: []
tags:
  - name: PrimeRESTAPI
paths:
  /v1/entities/{entity_id}/futures/risk_limits:
    get:
      tags:
        - Futures
      summary: Get FCM Risk Limits
      description: Retrieve the risk limits for a given entity.
      operationId: PrimeRESTAPI_GetFcmRiskLimits
      parameters:
        - name: entity_id
          in: path
          description: Entity ID
          required: true
          schema:
            type: string
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/coinbase.public_rest_api.GetFcmRiskLimitsResponse
components:
  schemas:
    coinbase.public_rest_api.GetFcmRiskLimitsResponse:
      type: object
      properties:
        cfm_risk_limit:
          type: string
          description: Risk Limit set for a client
          example: '10000.00'
        cfm_risk_limit_utilization:
          type: string
          description: Limit utilization calculated based on total margin and PnLs
          example: '10000.00'
        cfm_total_margin:
          type: string
          description: The total margin required for both positions and open orders
          example: '1000.00'
        cfm_delta_ote:
          type: string
          description: Open Trade Equity accrued during the current trading session
          example: '100.00'
        cfm_unsettled_realized_pnl:
          type: string
          description: Unsettled realized PNL for positions closed intraday
          example: '10.12'
        cfm_unsettled_accrued_funding_pnl:
          type: string
          description: Unsettled accrued funding PNL from the last settlement
          example: '10.12'
        margin_utilization_percent:
          type: string
          description: >-
            Margin utilization as a decimal percentage between 0 and 1 (e.g. 0.5
            means 50%)
          example: '0.50'
        margin_health_state:
          $ref: '#/components/schemas/coinbase.public_rest_api.FcmMarginHealthState'
    coinbase.public_rest_api.FcmMarginHealthState:
      type: string
      description: |-
        The margin health state of an FCM account.

         - FCM_MARGIN_HEALTH_STATE_UNSPECIFIED: Unspecified margin health state.
         - FCM_MARGIN_HEALTH_STATE_HEALTHY: Account margin is healthy.
         - FCM_MARGIN_HEALTH_STATE_RESTRICTED: Account margin is restricted.
         - FCM_MARGIN_HEALTH_STATE_PRE_LIQUIDATION: Account is approaching liquidation.
         - FCM_MARGIN_HEALTH_STATE_LIQUIDATION: Account is in liquidation.
      default: FCM_MARGIN_HEALTH_STATE_UNSPECIFIED
      enum:
        - FCM_MARGIN_HEALTH_STATE_UNSPECIFIED
        - FCM_MARGIN_HEALTH_STATE_HEALTHY
        - FCM_MARGIN_HEALTH_STATE_RESTRICTED
        - FCM_MARGIN_HEALTH_STATE_PRE_LIQUIDATION
        - FCM_MARGIN_HEALTH_STATE_LIQUIDATION

````